import request from '@/utils/request';

// 查询关于我们列表
export function listAbout(query: any) {
  return request({
    url: '/system/about/list',
    method: 'get',
    params: query
  });
}

// 查询关于我们详细
export function getAbout(id: number) {
  return request({
    url: '/system/about/' + id,
    method: 'get'
  });
}

// 新增关于我们
export function addAbout(data: any) {
  return request({
    url: '/system/about',
    method: 'post',
    data: data
  });
}

// 修改关于我们
export function updateAbout(data: any) {
  return request({
    url: '/system/about',
    method: 'put',
    data: data
  });
}

// 删除关于我们
export function delAbout(id: number | number[]) {
  return request({
    url: '/system/about/' + id,
    method: 'delete'
  });
}
